Package io.papermc.paper.world.structure

# Class ConfiguredStructure

java.lang.Object
io.papermc.paper.world.structure.ConfiguredStructure

All Implemented Interfaces:
  `net.kyori.adventure.key.Keyed`, `Keyed`

public final class ConfiguredStructure extends Object implements Keyed
Represents a configured structure each with a `StructureType`. Multiple ConfiguredStructures can have the same `StructureType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Reference<ConfiguredStructure>`
`BASTION_REMNANT`
`static final Reference<ConfiguredStructure>`
`BURIED_TREASURE`
`static final Reference<ConfiguredStructure>`
`DESERT_PYRAMID`
`static final Reference<ConfiguredStructure>`
`END_CITY`
`static final Reference<ConfiguredStructure>`
`FORTRESS`
`static final Reference<ConfiguredStructure>`
`IGLOO`
`static final Reference<ConfiguredStructure>`
`JUNGLE_TEMPLE`
`static final Reference<ConfiguredStructure>`
`MINESHAFT`
`static final Reference<ConfiguredStructure>`
`MINESHAFT_MESA`
`static final Reference<ConfiguredStructure>`
`NETHER_FOSSIL`
`static final Reference<ConfiguredStructure>`
`OCEAN_MONUMENT`
`static final Reference<ConfiguredStructure>`
`OCEAN_RUIN_COLD`
`static final Reference<ConfiguredStructure>`
`OCEAN_RUIN_WARM`
`static final Reference<ConfiguredStructure>`
`PILLAGER_OUTPOST`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_DESERT`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_JUNGLE`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_MOUNTAIN`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_NETHER`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_OCEAN`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_STANDARD`
`static final Reference<ConfiguredStructure>`
`RUINED_PORTAL_SWAMP`
`static final Reference<ConfiguredStructure>`
`SHIPWRECK`
`static final Reference<ConfiguredStructure>`
`SHIPWRECK_BEACHED`
`static final Reference<ConfiguredStructure>`
`STRONGHOLD`
`static final Reference<ConfiguredStructure>`
`SWAMP_HUT`
`static final Reference<ConfiguredStructure>`
`VILLAGE_DESERT`
`static final Reference<ConfiguredStructure>`
`VILLAGE_PLAINS`
`static final Reference<ConfiguredStructure>`
`VILLAGE_SAVANNA`
`static final Reference<ConfiguredStructure>`
`VILLAGE_SNOWY`
`static final Reference<ConfiguredStructure>`
`VILLAGE_TAIGA`
`static final Reference<ConfiguredStructure>`
`WOODLAND_MANSION`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`@NotNull NamespacedKey`
`getKey()`
Return the namespaced identifier for this object.
`@NotNull StructureType`
`getStructureType()`
Gets the structure type for this configure structure.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.bukkit.Keyed

`key`

## Field Details

### PILLAGER_OUTPOST

public static final Reference<ConfiguredStructure> PILLAGER_OUTPOST

### MINESHAFT

public static final Reference<ConfiguredStructure> MINESHAFT

### MINESHAFT_MESA

public static final Reference<ConfiguredStructure> MINESHAFT_MESA

### WOODLAND_MANSION

public static final Reference<ConfiguredStructure> WOODLAND_MANSION

### JUNGLE_TEMPLE

public static final Reference<ConfiguredStructure> JUNGLE_TEMPLE

### DESERT_PYRAMID

public static final Reference<ConfiguredStructure> DESERT_PYRAMID

### IGLOO

public static final Reference<ConfiguredStructure> IGLOO

### SHIPWRECK

public static final Reference<ConfiguredStructure> SHIPWRECK

### SHIPWRECK_BEACHED

public static final Reference<ConfiguredStructure> SHIPWRECK_BEACHED

### SWAMP_HUT

public static final Reference<ConfiguredStructure> SWAMP_HUT

### STRONGHOLD

public static final Reference<ConfiguredStructure> STRONGHOLD

### OCEAN_MONUMENT

public static final Reference<ConfiguredStructure> OCEAN_MONUMENT

### OCEAN_RUIN_COLD

public static final Reference<ConfiguredStructure> OCEAN_RUIN_COLD

### OCEAN_RUIN_WARM

public static final Reference<ConfiguredStructure> OCEAN_RUIN_WARM

### FORTRESS

public static final Reference<ConfiguredStructure> FORTRESS

### NETHER_FOSSIL

public static final Reference<ConfiguredStructure> NETHER_FOSSIL

### END_CITY

public static final Reference<ConfiguredStructure> END_CITY

### BURIED_TREASURE

public static final Reference<ConfiguredStructure> BURIED_TREASURE

### BASTION_REMNANT

public static final Reference<ConfiguredStructure> BASTION_REMNANT

### VILLAGE_PLAINS

public static final Reference<ConfiguredStructure> VILLAGE_PLAINS

### VILLAGE_DESERT

public static final Reference<ConfiguredStructure> VILLAGE_DESERT

### VILLAGE_SAVANNA

public static final Reference<ConfiguredStructure> VILLAGE_SAVANNA

### VILLAGE_SNOWY

public static final Reference<ConfiguredStructure> VILLAGE_SNOWY

### VILLAGE_TAIGA

public static final Reference<ConfiguredStructure> VILLAGE_TAIGA

### RUINED_PORTAL_STANDARD

public static final Reference<ConfiguredStructure> RUINED_PORTAL_STANDARD

### RUINED_PORTAL_DESERT

public static final Reference<ConfiguredStructure> RUINED_PORTAL_DESERT

### RUINED_PORTAL_JUNGLE

public static final Reference<ConfiguredStructure> RUINED_PORTAL_JUNGLE

### RUINED_PORTAL_SWAMP

public static final Reference<ConfiguredStructure> RUINED_PORTAL_SWAMP

### RUINED_PORTAL_MOUNTAIN

public static final Reference<ConfiguredStructure> RUINED_PORTAL_MOUNTAIN

### RUINED_PORTAL_OCEAN

public static final Reference<ConfiguredStructure> RUINED_PORTAL_OCEAN

### RUINED_PORTAL_NETHER

public static final Reference<ConfiguredStructure> RUINED_PORTAL_NETHER

## Method Details

### getKey

@NotNull public @NotNull NamespacedKey getKey()
Description copied from interface: `Keyed`
Return the namespaced identifier for this object.

Specified by:
  `getKey` in interface `Keyed`
Returns:
  this object's key

### getStructureType

@NotNull public @NotNull StructureType getStructureType()
Gets the structure type for this configure structure.

Returns:
  the structure type

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`